Skip to main content
GET
/
v3
/
stores
/
{store_id}
/
public
/
products
List storefront products
curl --request GET \
  --url https://api.myscalev.com/v3/stores/{store_id}/public/products \
  --header 'X-Scalev-Storefront-Api-Key: <x-scalev-storefront-api-key>'
{
  "data": [
    "<unknown>"
  ],
  "is_paginated": true,
  "has_next": true,
  "last_id": 123,
  "page_size": 123,
  "page": 123
}

Headers

X-Scalev-Storefront-Api-Key
string
required

Publishable storefront public API key for the target store.

Path Parameters

store_id
string
required

Store unique_id.

Response

Success paginated collection response

Paginated list payload for v3.

data
any[]
required
is_paginated
enum<boolean>
required
Available options:
true
Example:

true

has_next
boolean
last_id
page_size
integer
page
integer